<?php
include('../common/parseargs.php');


include('../common/basicargcheck.php');

$USAGE=" --diskSafeID=<diskSafeID> --recoveryPointID=<recoveryPointID> --fileSystemPath --fileName";

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}

$DISKSAFEID=$args_array['diskSafeID'];
$RECOVERYPOINTID=$args_array['recoveryPointID'];
$FILESYSTEMPATH=$args_array['fileSystemPath'];
$FILENAME=$args_array[fileName];

if (strlen($DISKSAFEID) < 1) {
        echo "ERROR: --diskSafeID=<diskSafeID> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

if (strlen($RECOVERYPOINTID) < 1) {
        echo "ERROR: --recoveryPointID=<recoveryPointID> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}
if (strlen($FILESYSTEMPATH) < 1) {
        echo "ERROR: --fileSystemPath=<fileSystemPath> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}
class DiskSafe
{
	public $id;
}

$diskSafeObj = new DiskSafe();
$diskSafeObj->id=$DISKSAFEID;


try{
	$client = new soapclient("https://$HOST:$PORT/RecoveryPoints?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		 )
	);
	$DIRECTORYENTRY = $client->getDirectoryEntries(array('diskSafe'=>$diskSafeObj, 'recoveryPointID'=>$RECOVERYPOINTID, 'fileSystemPath'=>$FILESYSTEMPATH));
	foreach ( $DIRECTORYENTRY->return as $directoryArray ) {
		foreach ( $directoryArray as $value ) {		
		if ($value->fileName == $FILENAME) {
			$fileSystemEntry = $client->getSingleFileEntryInformation(array('diskSafe'=>$diskSafeObj, 'recoveryPointID'=>$RECOVERYPOINTID, 'fileSystemPath'=>$FILESYSTEMPATH, 'DirectoryEntry'=>$value));
			var_dump($fileSystemEntry);
			}
		var_dump($directoryArray);		
		}		
	}
	
	echo "Successfully executed getSingleFileSystemInformation\n";

	exit(0);

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}


?> 
